Detection of Space Shift Keying Signaling in

advertisement
Detection of Space Shift Keying Signaling in Large
MIMO Systems
Ronald Y. Chang, Wei-Ho Chung∗, and Sian-Jheng Lin
Research Center for Information Technology Innovation, Academia Sinica, Taiwan
Emails: yjrchang@gmail.com, whc@citi.sinica.edu.tw, sjlin@citi.sinica.edu.tw
Abstract— The detection problem of the space shift keying
(SSK) signaling and its generalized form (namely, generalized SSK or GSSK) in the emerging large-scale multiple-input
multiple-output (MIMO) systems is discussed in this paper.
First, we explicitly formulate the tree search and column search
detection schemes achieving optimal maximum likelihood (ML)
performance, and discuss their pros and cons in the context of
large MIMO systems where the size of the GSSK modulation
alphabet increases significantly. Secondly, we propose two useful
suboptimal detection methods for large MIMO systems and largealphabet GSSK signaling based on convex relaxation, which
induce an approximately 2–4 dB performance penalty as shown
through experimental results.
Index Terms— Multiple-input multiple-output (MIMO) systems, space shift keying (SSK), maximum likelihood (ML) detection, low-complexity detection.
I. I NTRODUCTION
A large-scale multiple-input multiple-output (MIMO) system with tens to hundreds of antennas carries the potential
of very high data rates and increased communication reliability. Despite the promised advantages, a large MIMO system
encounters many practical and theoretical challenges, such as
channel estimation, physical placement of such a large number
of antennas, detection complexity, and demand of a large
number of radio frequency (RF) elements, among other issues
[1], [2]. In light of these issues, space shift keying (SSK)
[3], generalized SSK (GSSK) [4], and spatial modulation
(SM) [5], which carry partial or full information onto the
antenna indices, emerge as useful means of modulation for
large MIMO systems. The advantages of an SSK-modulated
MIMO system include: 1) Since in SSK there is only one
activated antenna at a given time, the required RF chain
is one (ideally); 2) The detection complexity for SSK is
lowered, since each antenna itself does not carry information
but only the combination of antennas does [3]; 3) As the phase
and amplitude of the signaling do not carry information, the
transceiver requirement such as synchronization is reduced as
compared to the conventional quadrature amplitude modulation (QAM) [3]. However, a direct disadvantage of eliminating
phase and amplitude modulation over each antenna and using
only the antenna indices to convey information, as in SSK
or GSSK, is the reduced size of the modulation alphabet, and
∗ Corresponding
author: Wei-Ho Chung. This work was supported by the
National Science Council of Taiwan under Grant NSC 100-2221-E-001-004.
978-1-4577-1379-8/12/$26.00 ©2012 IEEE
thus the reduced amount of information that can be transmitted
compared to a QAM-modulated MIMO system. However, by
deploying a large antenna array and employing GSSK (where
a subset of more than one antenna is activated at a given time),
this problem is alleviated.
Due to the relatively small modulation alphabet, detection
of SSK or GSSK has traditionally been carried out in the
optimal maximum likelihood (ML) sense [3], [4], [6]. In this
paper, both optimal and suboptimal detection schemes are
studied. First, known techniques to find the ML solution such
as tree search and exhaustive column search are examined
and discussed in the context of large MIMO systems with
large-alphabet GSSK signaling. A reduced-complexity column
search concept is proposed to find the ML solution, which
can be generalized beyond the presented exemplary system
setting. Secondly, suboptimal detection schemes are suggested
for the case in which the GSSK alphabet grows so large
that searching the optimal solution becomes computationally
prohibitive. Three methods are introduced, one being greedy
column search and the other two based on first relaxing the
original detection problem into a more algorithmically solvable
convex forms and then solving them by off-the-shelf numerical
algorithms. Performance results demonstrate that the proposed
relaxation-based schemes achieve a performance within 2–4
dB from the optimal ML scheme, in the considered MIMO
systems with as large as 32 transmit antennas.
The rest of the paper is organized as follows. Sec. II presents
the system model and problem definition. Optimal detection of
GSSK is studied in Sec. III and suboptimal detection schemes
are described in Sec. IV. Performance results are demonstrated
in Sec. V. Concluding remarks are given in Sec. VI.
Notations: In this paper, IM is the M × M identity matrix,
k·k the l2 -norm of a vector, | · | the cardinality of a set, (·)−1 ,
(·)T , and (·)H matrix inverse, matrix/vector transpose, and
conjugate matrix/vector transpose, respectively, Tr(·) the trace
operator on a square matrix, 1 an all-one vector of appropriate
dimension, ⌊·⌋ the floor operation giving the largest integer no
greater than its argument, ℜ(·) and ℑ(·) the real and imaginary
parts of its argument, respectively.
II. S YSTEM M ODEL AND P ROBLEM D EFINITION
We consider an uncoded MIMO transmission system with
NT transmit antennas and NR receive antennas. The baseband
1185
[
[
Information bits
GSSK symbol x̃ ∈ S
000
001
010
011
100
101
110
111
[1, 1, 0, 0, 0]T
«
TABLE I
E XAMPLE OF GSSK S YMBOL M APPING (NT = 5, nt = 2)
«
[
[1, 0, 1, 0, 0]T
[1, 0, 0, 1, 0]T
[1, 0, 0, 0, 1]T
[0, 1, 1, 0, 0]T
[0, 1, 0, 1, 0]T
[0, 1, 0, 0, 1]T
[0, 0, 1, 1, 0]T
«
«
[
[
«
[
Fig. 1. Example of the prepruned detection tree for SSK modulation for a
system with NT = 8. The circled leaf node is the optimal (ML) solution.
signal model is given by
y = Hx̃ + v
(1)
where y ∈ CNR ×1 is the received signal containing the
NT × 1 transmitted GSSK symbol x̃ perturbed by the flatfading channel H ∈ CNR ×NT and the additive white Gaussian
noise (AWGN) v ∈ CNR ×1 . Transmitted symbol x̃ is selected
equiprobably from the GSSK modulation alphabet S, and
is comprised of nt P ’s (P > 0) and NT − nt 0’s, where
the nonzero elements correspond to activated antennas and
zero elements correspond to idle antennas.1 The indices of
activated antennas are used to carry information, and P
specifies the signal power. The amount of information that can
be transmitted
is determined
by the parameter nt and is given
j
k
by b = log2 ( NnTt ) bits. Channel matrix H has independent
and identically distributed (i.i.d.) complex Gaussian entries
2
2
with zero mean and covariance matrix σH
INR , where σH
= 1.
The channel information H is assumed perfectly known at the
receiver but not at the transmitter. Noise v has i.i.d. complex
elements with zero mean and covariance matrix σv2 INR . For
simplicity and without loss of generality, we assume P = 1.
An example of GSSK modulation for NT = 5 and nt = 2 is
given in Table I, where b = 3 and |S| = 8.
Given the signal model in (1), the optimal ML detection is
to solve a constrained least-square problem, i.e.,
x̃ML = arg min ky − Hxk
2
(2)
x∈S
2
where ky − Hxk is the likelihood metric for some x given
y and H.
III. O PTIMAL D ETECTION OF GSSK
The optimal ML detection in (2) is equivalent to finding the
combination of nt columns of H, whose indices match the
2
nonzero elements of an x ∈ S, such that ky − hsum k is minimum, where hsum is the entry-wise sum of these nt columns.
This requires a search of |S| = 2b possible combinations,
which quickly becomes computationally prohibitive for large
MIMO systems (consider, e.g., NT = 32 and nt = 4, where
|S| = 215 = 32768). In general, the complexity becomes
exponential in NT when nt ≈ NT /2, as seen by using
Stirling’s approximation for factorials in NnTt .
1 If
nt is restricted to one, then GSSK reduces to SSK.
Instead of exhaustive search, traditional tree-search techniques as in sphere decoding (SD) may be used. In the
following, we will briefly review the basic tree-search strategy,
explain why the new GSSK detection tree as opposed to the
conventional QAM detection tree may render the same algorithms inefficient, and propose a reduced-complexity optimal
detection scheme.
A. Tree Search
The traditional detection problem for MIMO systems employing QAM modulations has a well-known tree representation [7]. In the detection tree, there is a virtual root node
and NT layers of nodes where each nonleaf node has Q child
nodes for Q-QAM modulation. Each node in layer NT − k + 1
(k = 1, 2, . . . , NT ) uniquely represents a partial symbol
T
xN
, (xk , . . . , xNT )T and has an associated cost which is
k
the partial sum in the likelihood metric in (2). In particular, a
leaf node in layer NT has a cost equal to the likelihood metric
T
evaluated for the particular x = xN
represented by the node.
1
Hence, the objective of optimal detection is to find the leaf
node with the smallest cost among all leaf nodes.
There are many tree-search detection methods that arise
from the tree representation (see [8] for a summary), including
SD. Running the SD algorithm can solve the GSSK detection
problem, after accommodating new properties of the GSSK
detection tree. In the GSSK detection tree, each nonleaf node
has exactly two child nodes, similar to a BPSK detection tree.
However, the search in the GSSK detection tree is constrained
to only parts of the tree. Specifically, to avoid searching
solution candidates outside of S, the subtree rooted at a node
whose path to the root already contains nt 1’s or NT − nt 0’s
can be pruned down to one path in the subtree (corresponding
to all 0’s or all 1’s paths, respectively). This essentially creates
a “slanted tree” as depicted in Fig. 1 for SSK modulation
(nt = 1) for a system with NT = 8, where the left (right) child
node of a nonleaf node represents 0 (1). Nodes not shown are
pruned since they represent (partial) symbols outside of S.
In light of the new structure of the GSSK detection tree,
there are some disadvantages of running the SD algorithm on
this tree to solve the GSSK detection problem:
1) The slanted tree, effectively, is created by enforcing many
conditional statements in the SD algorithm run on the
1186
tree which grows exponentially in NT (regardless of nt ).
Forcing the SD through specific branches leads to less
efficient tree pruning behavior [9]. The decreased pruning
efficiency and a large tree could have a detrimental effect
on the detection complexity in large MIMO systems.
2) Since half of the branches in a layer of the tree represent
zero, the computations for calculating the cost of nodes
in each layer could ideally be cut in half. However,
from an implementation point of view, an “if xk == 0”
conditional statement is needed to save such computations, which requires additional computation itself. In
comparison, the exhaustive column search method can
fully leverage these zeros by searching only specific
combinations of the columns of H.
3) The complexity of SD, by nature, is signal-to-noise ratio
(SNR) dependent. At low SNRs and for large MIMO
systems, the tree search may entail traversing nearly the
entire tree, resulting in a complexity even higher than the
exhaustive column search.2
4) Since the construction of the tree requires performing the
QR decomposition on H, extra computations are required
as compared with the direct column search.
Our experiments suggest that the direct column search in
general runs faster than the tree search, since the nested loops
in the latter slows the searching speed. In the following,
we propose an enhanced column search method for GSSK
detection.
B. Pairwise Column Search
The detection problem in (2) can be reformulated as
x̃ML = arg min kH′ xk
2
͛
͛
Ś͛ϭ Ś͛Ϯ Ś͛ϯ
Ś͛ϱ
Ś͛ϲ
Ś͛ϳ
Ś͛ϴ
with each crosspoint in the equilateral triangle B ′ C ′ D, and so
on. The pairing of A and C, for example, gives the likelihood
2
metric kh′1 + h′6 + h′7 + h′8 k .
The computational complexity of direct exhaustive column
search based on (3) is given by |S|NR multiplications and
|S|(nt NR − 1) additions (all the calculations refer to complex operations). The computations of the proposed pairwise
column
search involve the construction of the triangular grid
( N2T NR additions) and the calculation of the likelihood
metric (|S|NR multiplications and |S|(2NR − 1) additions),
withthe total complexity given by |S|NR multiplications and
NT
2 NR + |S|(2NR − 1) additions. For NR = NT = 8 and
nt = 4, the computation counts for direct exhaustive column
search and pairwise column search are 512 multiplications and
1984 additions, and 512 multiplications and 1184 additions,
respectively. The proposed method reduces the number of
additions approximately by half.
(3)
T , or
complexity of exhaustive column search is proportional to N
nt
approximately O((NT )nt ), while the complexity of tree search is O(2NT ).
2 The
Fig. 2. The triangular grid constructed in the pairwise column search method.
IV. S UBOPTIMAL D ETECTION OF GSSK
x∈S
where the ith column of H′ , h′i , is equal to y/nt − hi , where
hi is the ith column of H. In (3) we have used the fact that
any x in S has exactly nt 1’s and NT −nt 0’s. Thus, detection
in (3) becomes equivalent to finding nt columns of H′ so that
their entry-wise sum h′sum has the minimum Euclidean length.
This reformulation also avoids the need of summing y and
−hsum for |S| times as required in detection based on (2).
In general, the complexity of GSSK detection becomes
prohibitively large only when nt > 1, prompting the need
of a reduced-complexity method in this case. Therefore, we
consider an exemplary scenario where NR = NT = 8 and
nt = 4 (b = 6 and |S| = 64). The key to complexity
reduction is to first calculate pairwise column sums h′i + h′j
for all i < j, and then test all four-column combinations.
This idea is realized by first building the “triangular grid” in
Fig. 2, where each crosspoint intersecting h′i and h′j represents
h′i + h′j (e.g., crosspoint A represents h′7 + h′8 and crosspoint
C represents h′1 + h′6 ). Then, these pairwise column sums are
paired up and the likelihood metric in (3) is calculated. For
example, crosspoint A is summed up with each crosspoint in
the equilateral triangle BCD, and crosspoint A′ is summed up
Ś͛ϰ
͛
In a large MIMO system with a large GSSK modulation
alphabet, even the reduced-complexity column search could be
too complex. In the following, we examine some suboptimal
methods.
A. Greedy Column Search
Since the detection objective in (3) is to find the sum of
nt columns of H′ that has the minimum length, a simple
heuristic is to iteratively select columns and make the most
hopeful choice at each iteration. This greedy strategy yields
the following algorithm:
Initially, I1 = {1, 2, . . . , NT }, I2 = {}, xi = 0, i =
1, . . . , NT .
1) For k = 1 to nt
2
P
Find ik = arg mini∈I1 \I2 h′i + j∈I2 h′j .
I2 ← ik .
End
2) Set xi = 1, i ∈ I2 .
While in some applications (e.g., antenna selection for MIMO
systems [10]) a greedy approach works pretty well, it turns
out that this method is too myopic to yield satisfactory performance in the case of GSSK detection, as will be seen in Sec. V.
The reason is that a greedy approach gives good approximation
1187
on the measure but not on the constituents that produce the
measure. Specifically, in the case of antenna selection, the
selected antenna combination itself is not important as long
as it captures a good portion of the channel capacity. In
GSSK detection, however, the selected column combination
itself is as important as the well-achieved likelihood metric it
produces, which renders the greedy approach less effective.
B. Convex Superset Relaxation
In (2), the modulation-alphabet constraint x ∈ S renders
the problem a combinatorial optimization problem. Seeking a
simplification, we consider a relaxation of the superset
PNT of the
constraint x ∈ S, i.e., xi ∈ {0, 1}, i = 1, . . . , NT , i=1
xi =
nt , and solve the following convex optimization problem
instead:
minimize
subject to
that matches each xr ∈ Se , where Se′ is the new modulation
alphabet. Then, the problem in (6) becomes equivalent to
z̃r,ML = arg min′ kyr′ − Hr zr k
and
z Z = r zTr
1
(4)
i=1
Note that in (4) we have relaxed xi ∈ {0, 1} to 0 ≤ xi ≤ 1.
The problem in (4) can be solved efficiently using the socalled interior-point methods [11]. When fractional solutions
are yielded, the nt largest xi ’s are set to one while other NT −
nt xi ’s are set to zero. Similar technique has been reported in
[12] for antenna selection in MIMO systems.
The real signal model is given by
yr = Hr x̃r + vr
(5)
where yr ∈ R2NR ×1 , Hr ∈ R2NR ×2NT , vr ∈ R2NR ×1 , and
x̃r ∈ Se , where x̃r ∈ Se if and only if x̃ ∈ S. Note that x̃r
of 2NT × 1 dimension has only NT degrees of freedom. The
ML detection problem becomes
x̃r,ML = arg min kyr − Hr xr k2 .
xr ∈Se
(6)
Secondly, we map all the zero-elements of xr ∈ Se to −1
and one-elements to 1. After mapping, there is a
z
zr =
∈ Se′
−1NT ×1
T
z z
1 = r Tr
zr
 T
zz
zr
=  AT
1
zT
A
B
cT

z
c
1
(9)
where A = −z1T , B = 11T , and c = −1. The definition in
(9) implies that Z is a positive semidefinite (PSD) symmetric
matrix of rank one. Relaxing the rank-1 constraint, we obtain
the following semidefinite programming problem:
minimize
subject to
C. Semidefinite Relaxation (SDR)
The SDR technique has been used to solve the detection
problem for QAM-modulated MIMO systems [13]. The SDR
increases the problem dimensionality and thereby seeks a
tighter relaxation than relaxing the modulation-alphabet constraint in the same dimension as in (4). First, to make the
objective function in the SDR optimization problem tractable,
we transform the complex signal model in (1) into an equivalent real signal model by defining
ℜ(y)
ℜ(x̃)
x̃
yr =
, x̃r =
=
ℑ(y)
ℑ(x̃)
0NT ×1
ℜ(v)
ℜ(H) −ℑ(H)
vr =
, Hr =
.
ℑ(v)
ℑ(H) ℜ(H)
(7)
where yr′ = 2yr − Hr 1. Since the elements of zr are
either 1 or −1, GSSK detection in (7) becomes similar to
BPSK detection, except that the GSSK modulation alphabet
Se′ further constrains the total number of 1’s in zr to be nt .
To present the problem in (7) in the SDR-relaxed form, we
define
T
Hr Hr −HTr yr′
Ψ=
(8)
−yr′T Hr
0
2
ky − Hxk
0 ≤ xi ≤ 1, i = 1, . . . , NT
NT
X
xi = nt .
2
zr ∈Se
Tr(ΨZ)
Z0
(10)
(11)
Zii = 1, i = 1, . . . , NT , 2NT + 1
A = −z1T
(12)
(13)
B = 11T
c = −1
(14)
(15)
Tr(11T Z) = (2NT − 2nt − 1)2 .
(16)
The objective in (10) is a real number equal to the likelihood
function in (7) minus the optimization variable-independent
2
kyr′ k . The constraint in (11) states that Z is PSD, the
constraint in (12) comes from the fact that the elements of
z are either 1 or −1, and the constraints in (13)–(15) reflect
the underlying structure of Z in (9). The constraint in (16) is
to accommodate the fact that the total number of 1’s in zr is
nt in GSSK modulation. Specifically, it can easily be seen by
constructing examples that exactly nt +1 rows (or columns) of
Z have nt + 1 elements of 1’s and 2NT − nt elements of −1’s,
and the remaining 2NT − nt rows (or columns) have nt + 1
elements of −1’s and 2NT − nt elements of 1’s. Multiplying
Z by an all-one matrix 11T on the left, we obtain a matrix
whose diagonal terms are comprised of nt + 1 elements of
2nt − 2NT + 1’s and 2NT − nt elements of 2NT − 2nt − 1’s,
and whose trace is given by (nt +1)(2nt −2NT +1)+(2NT −
nt )(2NT − 2nt − 1) = (2NT − 2nt − 1)2 , hence (16). This
problem can be solved efficiently using numerical algorithms
based on the interior-point method.
To determine zr , or equivalently z, from the solution Z̃ to
the above SDR problem, we use the randomization method
[14] described as follows. Let Z̃s be an (NT + 1) × (NT + 1)
submatrix of Z̃ by extracting the elements corresponding to
zzT , z, zT , and 1 in (9), and let Z̃s = VT V, which can
1188
be obtained by performing, e.g., the Cholesky decomposition.
Let u be a random vector uniformly distributed on an NT dimensional unit sphere, which can be obtained by drawing
NT values independently from the standard normal distribution and normalizing the vector obtained [15]. Then, the
solution is given by z̃SDR = σ(V′T u), where V′ is V with
the (NT + 1)-th row and column removed, and the ith element
of σ(x) is equal to 1 if xi ≥ 0 and −1 otherwise. Usually,
this procedure is repeated several times and the solution
that yields the smallest likelihood metric is chosen as the
approximate solution. A moderate number of randomizations
is often needed [14].
0
10
−1
10
−2
SER
10
−3
10
Greedy Column Search
Convex Superset Relaxation
Semidefinite Relaxation
ML
ZF
MMSE
−4
10
−5
10
6
8
10
12
14
16
SNR (dB)
(a)
V. S IMULATION R ESULTS
0
10
Here, we present the symbol error rate (SER) performance
of the considered detection schemes for different system settings. Standard zero-forcing (ZF) and minimum-mean-squareerror (MMSE) linear detectors are also adopted in the comparison. We focus on the comparison of different GSSK detection
schemes and refer readers to [3] for cross-comparison of SSK
and QAM modulations. The SNR, ϑ, is defined as
2
2
2
E kHx̃k
nt E khi k
nt (NR /NT )σH
nt
ϑ= =
=
.
=
2
2
2
2
N
σ
N
σ
N
R v
R v
T σv
E kvk
For SDR, 20 randomizations are performed.
As shown in Fig. 3(a), the greedy column search, ZF, and
MMSE schemes perform poorly, while the convex superset
relaxation and SDR methods exhibit considerably superior
performance which is about 2 dB away from the optimal ML
at SER = 10−3 . Similar results are observed in Fig. 3(b) for a
larger MIMO system and a larger GSSK modulation alphabet.3
In this case, however, there is an increased performance
penalty on suboptimal schemes due to the smaller NR (than
NT ). (The effect of NR on SSK’s performance is reported
in [3].) The convex superset relaxation and SDR methods are
about 2–4 dB away from the optimal ML at SER = 10−3 .
Comparing convex superset relaxation and SDR, it is observed that while SDR seeks a tighter relaxation by increasing
the problem dimensionality, it also suffers from some disadvantages in the specific case of GSSK detection. Particularly,
transforming the complex signal model to a real signal model
in SDR serves the only purpose of numerical tractability (so
that the objective function will be a minimizable real value)
and creates additional constraints to match the degrees of
freedom in optimization variables before and after the SDR
conversion. In fact, some performance loss may be incurred in
solving for variables of higher dimensions (2NT +1)×(2NT +
1) and extracting only an (NT +1)×(NT +1) submatrix out of
it followed by the randomization method. The complexity of
SDR may be much greater than the convex superset relaxation
method.
3 In this scenario with N
R < NT , ZF equalization cannot be performed
since H does not have full column rank.
−1
10
−2
SER
10
−3
10
Greedy Column Search
Convex Superset Relaxation
Semidefinite Relaxation
ML
MMSE
−4
10
−5
10
3
4
5
6
7
8
9
SNR (dB)
10
11
12
13
(b)
Fig. 3. SER performance of GSSK detection schemes. (a) NT = 8, NR = 8,
nt = 4 (b = 6, |S| = 64). (b) NT = 32, NR = 16, nt = 4 (b = 15,
|S| = 32768).
VI. C ONCLUSION
The detection problem for GSSK-modulated MIMO channels has been studied. The main conclusions include:
• GSSK is an attractive modulation scheme to reduce the
hardware complexity (e.g., the number of RF chains) in
the emerging large-scale MIMO system.
• GSSK modulation presents new properties which render
conventional detection techniques for phase and amplitude modulations ineffective (e.g., tree search) while open
up new possibilities (e.g., column search).
• The need for a suboptimal detection scheme arises when
the GSSK alphabet grows large, a likely scenario in
large-scale MIMO systems. Several suboptimal schemes
were examined, two of which are based on solving a
relaxed problem and shown to achieve sufficiently well
performance.
R EFERENCES
[1] K. V. Vardhan, S. K. Mohammed, A. Chockalingam, and B. S. Rajan,
“A low-complexity detector for large MIMO systems and multicarrier
CDMA systems,” IEEE J. Select. Areas Commun., vol. 26, pp. 473–485,
Apr. 2008.
[2] A. F. Molisch and M. Z. Win, “MIMO systems with antenna selection,”
IEEE Microwave Mag., vol. 5, pp. 46–56, Mar. 2004.
1189
[3] J. Jeganathan, A. Ghrayeb, L. Szczecinski, and A. Ceron, “Space
shift keying modulation for MIMO channels,” IEEE Trans. Wireless
Commun., vol. 8, pp. 3692–3703, July 2009.
[4] J. Jeganathan, A. Ghrayeb, and L. Szczecinski, “Generalized space shift
keying modulation for MIMO channels,” in Proc. IEEE PIMRC ’08,
Sept. 2008, pp. 1–5.
[5] R. Y. Mesleh, H. Haas, S. Sinanović, C. W. Ahn, and S. Yun, “Spatial
modulation,” IEEE Trans. Veh. Technol., vol. 57, pp. 2228–2241, July
2008.
[6] S. Sugiura, S. Chen, and L. Hanzo, “Generalized space-time shift keying
designed for flexible diversity-, multiplexing- and complexity-tradeoffs,”
IEEE Trans. Wireless Commun., vol. 10, pp. 1144–1153, Apr. 2011.
[7] E. G. Larsson, “MIMO detection methods: How they work,” IEEE Signal
Processing Mag., vol. 26, pp. 91–95, May 2009.
[8] A. D. Murugan, H. El Gamal, M. O. Damen, and G. Caire, “A
unified framework for tree search decoding: Rediscovering the sequential
decoder,” IEEE Trans. Inform. Theory, vol. 52, pp. 933–953, Mar. 2006.
[9] C. Studer, A. Burg, and H. Bölcskei, “Soft-output sphere decoding:
Algorithms and VLSI implementation,” IEEE J. Select. Areas Commun.,
vol. 26, pp. 290–300, Feb. 2008.
[10] R. S. Blum, Z. Xu, and S. Sfar, “A near-optimal joint transmit and
receive antenna selection algorithm for MIMO systems,” in Proc. IEEE
RWS ’09, Jan. 2009, pp. 554–557.
[11] S. Boyd and L. Vandenberghe, Convex Optimization.
New York:
Cambridge University Press, 2004.
[12] A. Dua, K. Medepalli, and A. J. Paulraj, “Receive antenna selection
in MIMO systems using convex optimization,” IEEE Trans. Wireless
Commun., vol. 5, pp. 2353–2357, Sept. 2006.
[13] B. Steingrimsson, Z.-Q. Luo, and K. M. Wong, “Soft quasi-maximumlikelihood detection for multiple-antenna wireless channels,” IEEE
Trans. Signal Processing, vol. 51, pp. 2710–2719, Nov. 2003.
[14] W.-K. Ma, T. N. Davidson, K. M. Wong, Z.-Q. Luo, and P.-C. Ching,
“Quasi-maximum-likelihood multiuser detection using semi-definite relaxation with application to synchronous CDMA,” IEEE Trans. Signal
Processing, vol. 50, pp. 912–922, Apr. 2002.
[15] M. X. Goemans and D. P. Williamson, “Improved approximation algorithms for maximum cut and satisfiability problems using semidefinite
programming,” J. ACM, vol. 42, pp. 1115–1145, Nov. 1995.
1190
Download